# pandas.DataFrame.from_dict

classmethod `DataFrame.``from_dict`(data, orient='columns', dtype=None)

  Construct DataFrame from dict of array-like or dicts

  Parameters:

  data : dict

  > {field : array-like} or {field : dict}

  orient : {‘columns’, ‘index’}, default ‘columns’

  > The “orientation” of the data. If the keys of the passed dict should be the columns of the resulting DataFrame, pass ‘columns’ (default). Otherwise if the keys should be rows, pass ‘index’.

  dtype : dtype, default None

  > Data type to force, otherwise infer

  Returns: | DataFrame

Scroll To Top